com.r3corda.core.utilities / UntrustworthyData

# UntrustworthyData

`class UntrustworthyData<out T>`

A small utility to approximate taint tracking: if a method gives you back one of these, it means the data came from a remote source that may be incentivised to pass us junk that violates basic assumptions and thus must be checked first. The wrapper helps you to avoid forgetting this vital step. Things you might want to check are:

- Is this object the one you actually expected? Did the other side hand you back something technically valid but not what you asked for?

- Is the object disobeying its own invariants?

- Are any objects reachable from this object mismatched or not what you expected?

- Is it suspiciously large or small?

### Constructors

<init> | `UntrustworthyData(fromUntrustedWorld: T)` A small utility to approximate taint tracking: if a method gives you back one of these, it means the data came from a remote source that may be incentivised to pass us junk that violates basic assumptions and thus must be checked first. The wrapper helps you to avoid forgetting this vital step. Things you might want to check are:

### Properties

data | `val data: T`

### Functions

validate | `fun <R> validate(validator: (T) -> R): R`